# generated by cabal-rpm-1.0.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name purebred-icu
%global pkgver %{pkg_name}-%{version}

Name:           %{pkg_name}
Version:        0.1.0.0
Release:        0.20200521%{?dist}
Summary:        ICU charset support for purebred

License:        AGPLv3.0
Url:            https://github.com/purebred-mua/%{name}
Source0:        https://github.com/purebred-mua/%{name}/archive/%{version}.tar.gz

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-case-insensitive-prof
BuildRequires:  ghc-lens-prof
BuildRequires:  ghc-purebred-prof
BuildRequires:  ghc-purebred-email-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-text-icu-prof
# End cabal-rpm deps
Requires:       ghc-%{name}-devel = %{version}-%{release}

%description
This library can be used to add support for many more charsets to the purebred
MUA. It uses the /text-icu/ library (and /libicu/ under the hood) to convert
text.

To use:

' import qualified Purebred.Plugin.ICU main = purebred $ tweak defaultConfig
where tweak = Purebred.Plugin.ICU.enable '.


%package -n ghc-%{name}
Summary:        Haskell %{name} library

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files
# Begin cabal-rpm files:
%license LICENSE
%doc README.md
# End cabal-rpm files


%files -n ghc-%{name} -f ghc-%{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%doc README.md


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Tue Nov 26 2019 Róman Joost <rjoost@bromeco.de> - 0.1.0.0-0.20191126
- spec file generated by cabal-rpm-0.13.3

* Thu Jul 18 2019 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.0.0-0.201911118
- spec file generated by cabal-rpm-0.13.3
